import { ChainInfo, RepositoryFactory } from 'symbol-sdk';
import { ConfigPreset } from '../model';
export interface RepositoryInfo {
    repositoryFactory: RepositoryFactory;
    restGatewayUrl: string;
    chainInfo: ChainInfo;
}
export declare class RemoteNodeService {
    resolveCurrentFinalizationEpoch(presetData: ConfigPreset): Promise<number>;
    getBestFinalizationEpoch(urls: string[] | undefined): Promise<number | undefined>;
    getBestRepositoryInfo(urls: string[]): Promise<RepositoryInfo>;
    private sortByHeight;
    isConnectedToInternet(): Promise<boolean>;
    private getKnownNodeRepositoryInfos;
}
